PACREPAIRFILE(1)

NUME
pacrepairfile - restabilește proprietățile fișierelor gestionate de alpm

SINOPSIS
 pacrepairfile [opțiuni] (--gid|--mode|--mtime|--uid)... <fișier>...
 pacrepairfile (--help|--version)

DESCRIERE
Restabilește proprietățile fișierelor pentru fișierele gestionate de alpm pe baza datelor furnizate de „MTREE”.

Dacă stdin (intrarea standard) nu este conectată la un terminal, pachetele vor fi citite de la stdin.

OPȚIUNI

--config=ruta
    Stabilește o rută alternativă pentru fișierul de configurare.

--dbpath=ruta
    Stabilește o rută alternativă pentru baza de date.

--root=ruta
    Stabilește o rădăcină de instalare alternativă.

--sysroot=ruta
    Stabilește o rădăcină alternativă a sistemului. A se vedea pacutils-sysroot(7).

--quiet
    Nu afișează informații privind progresul.

--package=nume-pachet
    Caută nume-pachet pentru proprietățile fișierelor. Poate fi specificată de mai multe ori. Dacă --package nu este specificat, vor fi căutate toate pachetele instalate.

--help
    Afișează informațiile de utilizare și iese.

--version
    Afișează informațiile despre versiune și iese.

  Câmpuri

--gid
    Restabilește ID-ul grupului proprietar al fișierului.

--mode
    Restabilește permisiunile fișierelor.

--mtime
    Restabilește timpul de modificare a fișierului.

--uid
    Restabilește ID-ul de utilizator al proprietarului fișierului.

AVERTISMENTE
pacrepairfile determină dacă trebuie sau nu să citească fișiere din stdin pe baza unei verificări sumare folosind isatty(3). Dacă pacrepairfile este apelat într-un mediu, cum ar fi o funcție de shell sau un script utilizat într-o conductă, în care stdin nu este conectat la un terminal, dar nu conține fișiere de restabilit, pacrepairfile trebuie apelat cu stdin închis. Pentru shell-urile compatibile POSIX, acest lucru se poate face cu "<&-".

Pentru ca pacrepairfile să restabilească proprietățile unui fișier, pachetul care deține fișierul trebuie să aibă date „MTREE”.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.